Package org.codehaus.groovy.vmplugin.v7

# Class IndyGuardsFiltersAndSignatures

java.lang.Object
org.codehaus.groovy.vmplugin.v7.IndyGuardsFiltersAndSignatures

    @Deprecated
    public class IndyGuardsFiltersAndSignatures
    extends java.lang.Object

Deprecated.
This class contains guards, runtime filters and MethodType signatures used by indy.

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected static java.lang.invoke.MethodHandle` | `ARRAYLIST_CONSTRUCTOR` | Deprecated.
  `protected static java.lang.invoke.MethodHandle` | `BEAN_CONSTRUCTOR_PROPERTY_SETTER` | Deprecated.
  `protected static java.lang.invoke.MethodHandle` | `BOOLEAN_IDENTITY` | Deprecated.
  `protected static java.lang.invoke.MethodHandle` | `CLASS_FOR_NAME` | Deprecated.
  `protected static java.lang.invoke.MethodHandle` | `DTT_CAST_TO_TYPE` | Deprecated.
  `protected static java.lang.invoke.MethodHandle` | `EQUALS` | Deprecated.
  `protected static java.lang.invoke.MethodHandle` | `GROOVY_CAST_EXCEPTION` | Deprecated.
  `protected static java.lang.invoke.MethodHandle` | `GROOVY_OBJECT_GET_PROPERTY` | Deprecated.
  `protected static java.lang.invoke.MethodHandle` | `GROOVY_OBJECT_INVOKER` | Deprecated.
  `protected static java.lang.invoke.MethodHandle` | `HAS_CATEGORY_IN_CURRENT_THREAD_GUARD` | Deprecated.
  `protected static java.lang.invoke.MethodHandle` | `HASHSET_CONSTRUCTOR` | Deprecated.
  `protected static java.lang.invoke.MethodHandle` | `INTERCEPTABLE_INVOKER` | Deprecated.
  `protected static java.lang.invoke.MethodHandle` | `IS_NULL` | Deprecated.
  `protected static java.lang.invoke.MethodHandle` | `META_CLASS_INVOKE_STATIC_METHOD` | Deprecated.
  `protected static java.lang.invoke.MethodHandle` | `META_METHOD_INVOKER` | Deprecated.
  `protected static java.lang.invoke.MethodHandle` | `META_PROPERTY_GETTER` | Deprecated.
  `protected static java.lang.invoke.MethodHandle` | `MOP_GET` | Deprecated.
  `protected static java.lang.invoke.MethodHandle` | `MOP_INVOKE_CONSTRUCTOR` | Deprecated.
  `protected static java.lang.invoke.MethodHandle` | `MOP_INVOKE_METHOD` | Deprecated.
  `protected static java.lang.invoke.MethodHandle` | `NULL_REF` | Deprecated.
  `protected static java.lang.invoke.MethodHandle` | `SAM_CONVERSION` | Deprecated.
  `protected static java.lang.invoke.MethodHandle` | `SAME_CLASS` | Deprecated.
  `protected static java.lang.invoke.MethodHandle` | `SAME_MC` | Deprecated.
  `protected static java.lang.invoke.MethodHandle` | `SLOW_META_CLASS_FIND` | Deprecated.
  `protected static java.lang.invoke.MethodHandle` | `UNWRAP_EXCEPTION` | Deprecated.
  `protected static java.lang.invoke.MethodHandle` | `UNWRAP_METHOD` | Deprecated.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `IndyGuardsFiltersAndSignatures()` | Deprecated.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static java.lang.Object` | `invokeGroovyObjectInvoker​(MissingMethodException e, java.lang.Object receiver, java.lang.String name, java.lang.Object[] args)` | Deprecated. `GroovyObject.invokeMethod(String, Object)` path as fallback.
  `static boolean` | `isNull​(java.lang.Object o)` | Deprecated. Guard to check if the argument is null.
  `static boolean` | `isSameMetaClass​(MetaClass mc, java.lang.Object receiver)` | Deprecated. called by handle
  `static boolean` | `sameClass​(java.lang.Class<?> c, java.lang.Object o)` | Deprecated. Guard to check if the provided Object has the same class as the provided Class.
  `static java.lang.Object` | `setBeanProperties​(MetaClass mc, java.lang.Object bean, java.util.Map properties)` | Deprecated. This method is called by he handle to realize the bean constructor with property map.
  `static java.lang.Object` | `unwrap​(GroovyRuntimeException gre)` | Deprecated. Unwraps a `GroovyRuntimeException`.
  `static java.lang.Object` | `unwrap​(java.lang.Object o)` | Deprecated. Unwraps a `Wrapper`.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SAME_CLASS

    protected static final java.lang.invoke.MethodHandle SAME_CLASS
    Deprecated.

  - ### UNWRAP_METHOD

    protected static final java.lang.invoke.MethodHandle UNWRAP_METHOD
    Deprecated.

  - ### SAME_MC

    protected static final java.lang.invoke.MethodHandle SAME_MC
    Deprecated.

  - ### IS_NULL

    protected static final java.lang.invoke.MethodHandle IS_NULL
    Deprecated.

  - ### UNWRAP_EXCEPTION

    protected static final java.lang.invoke.MethodHandle UNWRAP_EXCEPTION
    Deprecated.

  - ### META_METHOD_INVOKER

    protected static final java.lang.invoke.MethodHandle META_METHOD_INVOKER
    Deprecated.

  - ### GROOVY_OBJECT_INVOKER

    protected static final java.lang.invoke.MethodHandle GROOVY_OBJECT_INVOKER
    Deprecated.

  - ### GROOVY_OBJECT_GET_PROPERTY

    protected static final java.lang.invoke.MethodHandle GROOVY_OBJECT_GET_PROPERTY
    Deprecated.

  - ### HAS_CATEGORY_IN_CURRENT_THREAD_GUARD

    protected static final java.lang.invoke.MethodHandle HAS_CATEGORY_IN_CURRENT_THREAD_GUARD
    Deprecated.

  - ### BEAN_CONSTRUCTOR_PROPERTY_SETTER

    protected static final java.lang.invoke.MethodHandle BEAN_CONSTRUCTOR_PROPERTY_SETTER
    Deprecated.

  - ### META_PROPERTY_GETTER

    protected static final java.lang.invoke.MethodHandle META_PROPERTY_GETTER
    Deprecated.

  - ### SLOW_META_CLASS_FIND

    protected static final java.lang.invoke.MethodHandle SLOW_META_CLASS_FIND
    Deprecated.

  - ### META_CLASS_INVOKE_STATIC_METHOD

    protected static final java.lang.invoke.MethodHandle META_CLASS_INVOKE_STATIC_METHOD
    Deprecated.

  - ### MOP_GET

    protected static final java.lang.invoke.MethodHandle MOP_GET
    Deprecated.

  - ### MOP_INVOKE_CONSTRUCTOR

    protected static final java.lang.invoke.MethodHandle MOP_INVOKE_CONSTRUCTOR
    Deprecated.

  - ### MOP_INVOKE_METHOD

    protected static final java.lang.invoke.MethodHandle MOP_INVOKE_METHOD
    Deprecated.

  - ### INTERCEPTABLE_INVOKER

    protected static final java.lang.invoke.MethodHandle INTERCEPTABLE_INVOKER
    Deprecated.

  - ### CLASS_FOR_NAME

    protected static final java.lang.invoke.MethodHandle CLASS_FOR_NAME
    Deprecated.

  - ### BOOLEAN_IDENTITY

    protected static final java.lang.invoke.MethodHandle BOOLEAN_IDENTITY
    Deprecated.

  - ### DTT_CAST_TO_TYPE

    protected static final java.lang.invoke.MethodHandle DTT_CAST_TO_TYPE
    Deprecated.

  - ### SAM_CONVERSION

    protected static final java.lang.invoke.MethodHandle SAM_CONVERSION
    Deprecated.

  - ### HASHSET_CONSTRUCTOR

    protected static final java.lang.invoke.MethodHandle HASHSET_CONSTRUCTOR
    Deprecated.

  - ### ARRAYLIST_CONSTRUCTOR

    protected static final java.lang.invoke.MethodHandle ARRAYLIST_CONSTRUCTOR
    Deprecated.

  - ### GROOVY_CAST_EXCEPTION

    protected static final java.lang.invoke.MethodHandle GROOVY_CAST_EXCEPTION
    Deprecated.

  - ### EQUALS

    protected static final java.lang.invoke.MethodHandle EQUALS
    Deprecated.

  - ### NULL_REF

    protected static final java.lang.invoke.MethodHandle NULL_REF
    Deprecated.

- ## Constructor Details

  - ### IndyGuardsFiltersAndSignatures

    public IndyGuardsFiltersAndSignatures()
    Deprecated.

- ## Method Details

  - ### setBeanProperties

    public static java.lang.Object setBeanProperties​(MetaClass mc, java.lang.Object bean, java.util.Map properties)
    Deprecated.
    This method is called by he handle to realize the bean constructor with property map.

  - ### invokeGroovyObjectInvoker

    public static java.lang.Object invokeGroovyObjectInvoker​(MissingMethodException e, java.lang.Object receiver, java.lang.String name, java.lang.Object[] args)
    Deprecated.
    `GroovyObject.invokeMethod(String, Object)` path as fallback. This method is called by the handle as exception handler in case the selected method causes a MissingMethodExecutionFailed, where we will just give through the exception, and a normal MissingMethodException where we call `GroovyObject.invokeMethod(String, Object)` if receiver class, the type transported by the exception and the name for the method stored in the exception and our current method name are equal. Should those conditions not apply we just rethrow the exception.

  - ### unwrap

    public static java.lang.Object unwrap​(GroovyRuntimeException gre) throws java.lang.Throwable
    Deprecated.
    Unwraps a `GroovyRuntimeException`. This method is called by the handle to unwrap internal exceptions of the runtime.
    Throws:
      `java.lang.Throwable`

  - ### isSameMetaClass

    public static boolean isSameMetaClass​(MetaClass mc, java.lang.Object receiver)
    Deprecated.
    called by handle

  - ### unwrap

    public static java.lang.Object unwrap​(java.lang.Object o)
    Deprecated.
    Unwraps a `Wrapper`. This method is called by the handle to unwrap a Wrapper, which we use to force method selection.

  - ### isNull

    public static boolean isNull​(java.lang.Object o)
    Deprecated.
    Guard to check if the argument is null. This method is called by the handle to check if the provided argument is null.

  - ### sameClass

    public static boolean sameClass​(java.lang.Class<?> c, java.lang.Object o)
    Deprecated.
    Guard to check if the provided Object has the same class as the provided Class. This method will return false if the Object is null.